# BoolMotorJson
declaration: package: swervelib.parser.json.modules, class: BoolMotorJson

Package swervelib.parser.json.modules

# Class BoolMotorJson

java.lang.Object
swervelib.parser.json.modules.BoolMotorJson

public class BoolMotorJson extends Object
Inverted motor JSON parsed class. Used to access the JSON data.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`angle`
Angle motor inversion state.
`boolean`
`drive`
Drive motor inversion state.

## Constructor Summary

Constructors
Constructor
Description
`BoolMotorJson()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### drive

public boolean drive
Drive motor inversion state.

### angle

public boolean angle
Angle motor inversion state.

## Constructor Details

### BoolMotorJson

public BoolMotorJson()